#include "mainwindow.h"
#include "ui_mainwindow.h"
#include <map>

#include "Solve.h"


MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::on_commandLinkButton_clicked()
{
    double a = ui->doubleSpinBox_a->value();
    double b = ui->doubleSpinBox_b->value();
    double c = ui->doubleSpinBox_c->value();

    double det = Determinant(a,b,c);

    double r1, r2, i1, i2;
    Solution(a,b,c,&r1,&i1,&r2,&i2);

    if( det > 0 )
        {
        ui->label_D->setText(QString("D>0"));
        QString txt("x1 = ");
        QString x_v;
        x_v.setNum(r1);
        txt.append(x_v);
        ui->label_x1->setText(txt);
        txt="x2 = ";
        x_v.setNum(r2);
        txt.append(x_v);
        ui->label_x2->setText(txt);
        }

    if( det < 0 )
        {
        ui->label_D->setText(QString("D<0"));

        QString txt("x1 = ");
        QString x_v;
        x_v.setNum(r1);
        txt.append(x_v);
        if( i1 >= 0 ) txt += " +";
        x_v.setNum(i1);
        txt += x_v;
        txt += "i;";
        ui->label_x1->setText(txt);

        txt = " x2 = ";
        x_v.setNum(r2);
        txt.append(x_v);
        if( i2 >= 0 ) txt += " +";
        x_v.setNum(i2);
        txt += x_v;
        txt += "i;";
        ui->label_x2->setText(txt);
        }

    if( det == 0 )
        {
        ui->label_D->setText(QString("D=0"));
        QString txt("x1 = ");
        QString x_v;
        x_v.setNum(r1);
        txt.append(x_v);
        ui->label_x1->setText(txt);
        ui->label_x2->setText(QString("x2 = x1"));
        }


}
